diff -u cacti-0.8.7/debian/changelog cacti-0.8.7/debian/changelog
--- cacti-0.8.7/debian/changelog
+++ cacti-0.8.7/debian/changelog
@@ -1,3 +1,12 @@
+cacti (0.8.7-1.1) unstable; urgency=high
+
+  * Non-maintainer upload by testing security team.
+  * Included 07_CVE-2007-6035.patch provided by upstream to fix
+    SQL injection through the local_graph_id parameter passed to
+    the top_graph_header.php script (CVE-2007-6035; Closes: #452085).
+
+ -- Nico Golde <nion@debian.org>  Tue, 20 Nov 2007 16:26:13 +0100
+
 cacti (0.8.7-1) unstable; urgency=low
 
   * New upstream release.
diff -u cacti-0.8.7/debian/patches/series cacti-0.8.7/debian/patches/series
--- cacti-0.8.7/debian/patches/series
+++ cacti-0.8.7/debian/patches/series
@@ -3,0 +4 @@
+07_CVE-2007-6035.patch
only in patch2:
unchanged:
--- cacti-0.8.7.orig/debian/patches/07_CVE-2007-6035.patch
+++ cacti-0.8.7/debian/patches/07_CVE-2007-6035.patch
@@ -0,0 +1,14 @@
+diff -ruBbdN cacti-0.8.7/include/top_graph_header.php cacti-0.8.7-patched/include/top_graph_header.php
+--- cacti-0.8.7/include/top_graph_header.php	2007-10-23 18:43:09.000000000 -0400
++++ cacti-0.8.7-patched/include/top_graph_header.php	2007-11-03 12:51:39.000000000 -0400
+@@ -25,6 +25,10 @@
+ $using_guest_account = false;
+ $show_console_tab = true;
+ 
++/* ================= input validation ================= */
++input_validate_input_number(get_request_var_request("local_graph_id"));
++/* ==================================================== */
++
+ if (read_config_option("auth_method") != 0) {
+ 	/* at this point this user is good to go... so get some setting about this
+ 	user and put them into variables to save excess SQL in the future */
